com.fasterxml.jackson.core.exc

## Class StreamConstraintsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JacksonException
        - - com.fasterxml.jackson.core.JsonProcessingException
          - - com.fasterxml.jackson.core.exc.StreamConstraintsException

All Implemented Interfaces:
  Serializable

    public class StreamConstraintsException
    extends JsonProcessingException

Exception type used to indicate violations of stream constraints (for example `StreamReadConstraints`) when reading or writing content.

Since:
  2.15
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

`_location`

### Constructor Summary

Constructors
Constructor and Description
`StreamConstraintsException(String msg)`
`StreamConstraintsException(String msg, JsonLocation loc)`

### Method Summary

### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

`clearLocation, getLocation, getMessage, getMessageSuffix, getOriginalMessage, getProcessor, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamConstraintsException

    public StreamConstraintsException(String msg)

#### StreamConstraintsException

    public StreamConstraintsException(String msg,
                                      JsonLocation loc)